%define upstream_name    Role-HasMessage
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A thing with a String::Errf-powered message
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Role/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(String::Errf)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is another extremely simple role. A class that includes
Role::HasMessage is promising to provide a 'message' method that returns a
string summarizing the message or event represented by the object. It does
_not_ provide any actual behavior.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.7.0-2.mga10
+ Revision: 2217080
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.7.0-1.mga9
+ Revision: 1928831
- update to 0.007

* Sun Mar 20 2022 umeabot <umeabot> 0.6.0-10.mga9
+ Revision: 1805564
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-9.mga8
+ Revision: 1497063
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-8.mga7
+ Revision: 1270908
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-7.mga6
+ Revision: 1032889
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.6.0-6.mga6
+ Revision: 948483
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.6.0-5.mga5
+ Revision: 787895
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-4.mga5
+ Revision: 750297
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.6.0-3.mga5
+ Revision: 732523
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-2.mga5
+ Revision: 686110
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.6.0-1.mga5
+ Revision: 588633
- update to 0.006

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 514414
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 372307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 jquelin <jquelin> 0.5.0-1.mga1
+ Revision: 55450
- fix spec file
- imported package perl-Role-HasMessage


* Mon Feb 21 2011 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
